NFT Collection Floor Price Candlesticks

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

The NFT Collection Floor Price Candlesticks endpoint provides the Floor Prices - open, high, low and close within a trading period (granularity) for a NFT Collection. The Floor Price of the trading period (granularity) is represented as the candlestick (open, high, low and close).

Hello Moon offers ONE_MIN, FIVE_MIN, ONE_HOUR, ONE_DAY, ONE_WEEK granularities to choose from!

What values represent a candlestick?

open, the floor price at which the period opened
high, the highest floor price reached during the period
low, the lowest floor price reached during the period
close, the floor price at which the period closed
volume, the sum of nft sales that occured within the trading period (granularity).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get hourly candlesticks for a collection

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/nft/collection/floorprice/candlesticks";

async function getCandlesticks() {
    const { data } = await axios.post(
        url,
        {
			"helloMoonCollectionId": "040de757c0d2b75dcee999ddd47689c4",
			"granularity": "ONE_HOUR"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

string

To find the correct helloMoonCollectionId, click here and search a collection name. This list is continuously updated.
optional field

object | number
Choose an array of candlestick granularities | Choose a single candlestick granularity
number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json